Subject: Re: bug#17952: Compatability for eieio between 24.4 and 24.3

From: Matthew Fidler <[email-masked]>
Date: Sun, 6 Jul 2014 07:24:43 -0500

Thanks David

I don't believe object-set-name-string was marked as a depreciated
function. I may have not been running against the trunk, but I believe my
compile failed instead of issued a warning.

I think the authors intent is that people access the object name with
eieio-named so using this function directly was not supported.

I have changed my code to solely use eieio-named, so compile warnings on
either 24.3 or 24.4 are not issued.

Matt
On Jul 6, 2014 3:49 AM, "David Engster" <[email-masked]> wrote:

> Matthew Fidler writes:
> > The object-set-name-string function of eieio has changed to
> > eieio-object-set-name-string, at one point my
> code (ergoemacs-mode) depended on
> > that function, so I had to use a macro to pick the right version for
> different
> > versions of emacs.
>
> The usual way for renaming a function in Emacs is to mark it as
> deprecated and make it an alias for the new name, and after a few more
> Emacs releases remove it altogether. So if you want to stay compatible
> with older Emacsen, simply continue to use `object-set-name-string' for
> the time being. You will get a warning on byte-compilation, but just
> ignore it (or turn off the deprecation warning if it bothers you too
> much).
>
> -David
>